Bug 73039 - RPM not marked as providing /usr/bin/newaliases
RPM not marked as providing /usr/bin/newaliases
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: postfix (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-29 22:32 EDT by Danny Yee
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-13 17:05:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Danny Yee 2002-08-29 22:32:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
Postfix provides a drop-in replacement for sendmail's "newaliases" command, but
the postfix RPM in Red Hat Linux 7.3 isn't marked as providing
/usr/bin/newaliases - this causes mailman to complain.  (Possibly this should be
a mailman bug.)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install postfix, uninstall sendmail
2. Try installing mailman
3.
	

Additional info:
Comment 1 Chris Ricker 2002-08-30 15:53:49 EDT
FWIW, this is fixed in rawhide....
Comment 2 Ed Voncken 2002-09-01 07:50:45 EDT
Hi,

I'm running into the same problem when trying to upgrade a couple of RH73 boxes.
What is the recommended workaround, just do a --nodeps when upgrading mailman?

Greetings,
  Ed.
Comment 3 John Dennis 2003-06-13 17:05:19 EDT
The current spec file does provide /usr/bin/newaliases

Note You need to log in before you can comment on or make changes to this bug.